<!DOCTYPE html>
<html lang="en">
<head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <meta http-equiv="X-UA-Compatible" content="ie=edge">
   <title>Document</title>
   <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
</head>
<body>
   <div>
      <h2>Ejercicio FOR</h2>
      <hr/>
      Número:
      <input type="number" id="numero" min="1"/>
      <button type="button" id="btnCalcular">Calcular</button>
   </div>

   <script>
   $('#btnCalcular').click(function(){
      var numero = parseInt($('#numero').val());
      var suma = 0;
      for(x=1;x<=numero;x++){
         suma = suma + x;
      }
      alert(suma);
   });
   </script>
</body>
</html>
